com.dlsc.flexgantt.swing

## Class AbstractGanttChartInputMap<T extends AbstractGanttChart>

- java.lang.Object
- - javax.swing.InputMap
  - - javax.swing.ComponentInputMap
    - - com.dlsc.flexgantt.swing.AbstractGanttChartInputMap<T>

- Type Parameters:
    `T` - the type of the Gantt chart
  All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DualGanttChartInputMap, GanttChartInputMap

      public abstract class AbstractGanttChartInputMap<T extends AbstractGanttChart>
      extends ComponentInputMap

  A specialized input map for use with an instance of `AbstractGanttChart`. This input map defines which key strokes will trigger which action. The input map is closely related to the `AbstractGanttChartActionMap` and uses the action IDs defined in that class. Example:

       KeyStroke stroke = KeyStroke.getKeyStroke(KeyEvent.VK_G, mask);
       put(stroke, AbstractGanttChartActionMap.GRID_ACTION);

       stroke = KeyStroke.getKeyStroke(KeyEvent.VK_PLUS, 0);
       put(stroke, AbstractGanttChartActionMap.ZOOM_IN_ACTION);

       stroke = KeyStroke.getKeyStroke(KeyEvent.VK_MINUS, 0);
       put(stroke, AbstractGanttChartActionMap.ZOOM_OUT_ACTION);

       ...

  Since:
    1.1
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGanttChartInputMap(T gc)` Constructs a new input map.

  - ### Method Summary

    - ### Methods inherited from class javax.swing.ComponentInputMap

      `clear, getComponent, put, remove, setParent`

    - ### Methods inherited from class javax.swing.InputMap

      `allKeys, get, getParent, keys, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGanttChartInputMap

          public AbstractGanttChartInputMap(T gc)

      Constructs a new input map.
      Parameters:
        `gc` - the Gantt chart for which to create an input map
      Since:
        1.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.